%define upstream_name    Catalyst-Authentication-Store-DBIx-Class
%define upstream_version 0.1503

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Catalyst Auth storage using DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Model::DBIC::Schema) >= 0.180.0
BuildRequires: perl(Catalyst::Plugin::Authentication) >= 0.100.80
BuildRequires: perl(Catalyst::Runtime) >= 5.800.0
BuildRequires: perl(DBIx::Class) >= 0.80.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
The Catalyst::Authentication::Realm::SimpleDB provides a simple way to
configure Catalyst Authentication when using the most common configuration
of a password protected user retrieved from an SQL database.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.150.300-2.mga3
+ Revision: 363861
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 0.150.300-1.mga2
+ Revision: 180184
- update to 0.1503

  + jquelin <jquelin>
    - update to 0.1502

* Tue Jun 21 2011 jquelin <jquelin> 0.150.100-1.mga2
+ Revision: 111405
- update to 0.1501

* Wed Jun 15 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 106506
- update to 0.1500

* Mon Feb 21 2011 jquelin <jquelin> 0.140.100-1.mga1
+ Revision: 55476
- update to 0.1401

* Thu Jan 27 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 41833
- mageia rebuild
- imported package perl-Catalyst-Authentication-Store-DBIx-Class

